Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class AbstractManager

    java.lang.Object
      org.deegree.ogcwebservices.csw.manager.AbstractManager

All Implemented Interfaces:
  Manager

Direct Known Subclasses:
  Manager_2_0_0, Manager_2_0_2

    abstract class AbstractManager

extends Object
implements Manager

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Field Summary
`protected static Map<HarvestRepository.ResourceType,AbstractHarvester>` | `harvester`
`protected XSLTDocument` | `IN_XSL`
`protected XSLTDocument` | `OUT_XSL`
`protected WFService` | `wfsService`

Constructor Summary
`AbstractManager()`

Method Summary
`WFService` | `getWFService()`
`void` | `init(WFService wfsService, CatalogueConfiguration catalogueConfiguration)`
`(package private) static void` | `initHarvester(String version)` initializes a static Map containing a harvester for other coatalogues, for services and for single CSW-profile documents.
`static void` | `startAllHarvester(String version)` starts all known/registered harvester.
`static void` | `stopAllHarvester()` stpos all known/registered harvester.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.ogcwebservices.csw.manager.Manager
`harvestRecords, transaction`

Field Detail

### harvester

    protected static Map<HarvestRepository.ResourceType,AbstractHarvester> harvester

### IN_XSL

    protected XSLTDocument IN_XSL

### OUT_XSL

    protected XSLTDocument OUT_XSL

### wfsService

    protected WFService wfsService

Constructor Detail

### AbstractManager

    AbstractManager()

Method Detail

### startAllHarvester

    public static void startAllHarvester(String version)

  starts all known/registered harvester. This method can be used to start harvesting using requests e.g. if a server has been shutdown and restarted.

  Parameters:
    `version` - the version of the CSW

### stopAllHarvester

    public static void stopAllHarvester()

  stpos all known/registered harvester. This method can be used to stop harvesting using requests e.g. if a server has shall be shut down.

### getWFService

    public WFService getWFService()

  Specified by:
    `getWFService` in interface `Manager`
  Returns:
    the wfsService.

### init

    public void init(WFService wfsService,
                     CatalogueConfiguration catalogueConfiguration)
              throws MissingParameterValueException

  Specified by:
    `init` in interface `Manager`
  Throws:
    `MissingParameterValueException`

### initHarvester

    static void initHarvester(String version)

  initializes a static Map containing a harvester for other coatalogues, for services and for single CSW-profile documents.

  Parameters:
    `version` - the version of the CSW

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org